diff a/src/java.base/share/classes/java/lang/ProcessHandleImpl.java b/src/java.base/share/classes/java/lang/ProcessHandleImpl.java
--- a/src/java.base/share/classes/java/lang/ProcessHandleImpl.java
+++ b/src/java.base/share/classes/java/lang/ProcessHandleImpl.java
@@ -91,11 +91,11 @@
         // of the processReaper threads.
         ThreadLocalRandom.current();
 
         // For a debug build, the stack shadow zone is larger;
         // Increase the total stack size to avoid potential stack overflow.
-        int debugDelta = "release".equals(System.getProperty("jdk.debug")) ? 0 : (4 * 4096);
+        int debugDelta = "release".equals(System.getProperty("jdk.debug")) ? 0 : (16 * 4096);
         final long stackSize = Boolean.getBoolean("jdk.lang.processReaperUseDefaultStackSize")
                 ? 0 : REAPER_DEFAULT_STACKSIZE + debugDelta;
 
         ThreadFactory threadFactory = grimReaper -> {
             Thread t = InnocuousThread.newSystemThread("process reaper", grimReaper,
